.video-impulses .videos-container {
    grid-column: 4/span 8;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: var(--m-60);
    grid-row-gap: var(--m-large);
}

.video-impulses .videos-container .video-item {
    gap: var(--m-30);
}

.video-impulses .videos-container .video-item .media-container {
    aspect-ratio: 462/574;
    position: relative;
}

.video-impulses .videos-container .video-item .media-container .play-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 45px;
    height: 45px;
    background: var(--olive);
    border: 1px solid currentColor;
    border-radius: 100%;
    position: absolute;
    bottom: var(--m-30);
    left: 50%;
    transform: translateX(-50%);
}

.video-impulses .videos-container .video-item .media-container .play-btn::before {
    content: "";
    display: block;
    width: 40%;
    height: 40%;
    mask: url(../../img/icon-play.svg) no-repeat center/contain;
    -webkit-mask: url(../../img/icon-play.svg) no-repeat center/contain;
    background: currentColor;
}

.video-impulses .videos-container .video-item .media-container .play-btn.playing::before {
    mask: url(../../img/icon-pause.svg) no-repeat center/contain;
    -webkit-mask: url(../../img/icon-pause.svg) no-repeat center/contain;
}

.video-impulses .videos-container .video-item .video-title {
    margin: 0;
}

.video-impulses .load-more {
    grid-column: 2/span 12;
}

@media (max-width: 1199.98px) {
    .video-impulses .videos-container {
        grid-column: 3/span 10;
    }
}

@media (max-width: 991.98px) {
    .video-impulses .videos-container {
        grid-column: 2/span 12;
    }
}

@media (max-width: 767.98px) {
    .video-impulses .videos-container {
        grid-column: 3/span 10;
        grid-template-columns: repeat(2, 1fr)
    }
}

@media (max-width: 575.98px) {
    .video-impulses .videos-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 399.98px) {
    .video-impulses .videos-container {
        grid-column: 2/span 12;
    }
}